///*******************************\\\
///*****      SMALLJUMP      *****\\\
///*******************************\\\

// Slick

textures/smalljump/icy:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

// No Damage
textures/smalljump/troll:q3map
{
	surfaceparm nodamage
}

textures/smalljump/ivr_wood:q3map
{
	surfaceparm nodamage
}

textures/smalljump/ivr_asphalt:q3map
{
	surfaceparm nodamage
}

textures/smalljump/evil_wrn:q3map
{
	surfaceparm nodamage
}

textures/smalljump/eagle_pak:q3map
{
	surfaceparm nodamage
}

textures/smalljump/cow_pipes4blue:q3map
{
	surfaceparm nodamage
}

textures/smalljump/cow_pipes4red:q3map
{
	surfaceparm nodamage
}

textures/smalljump/cow_pipes4:q3map
{
	surfaceparm nodamage
}

textures/smalljump/tudor_window:q3map
{
	surfaceparm nodamage
}

textures/smalljump/abbey_wall:q3map
{
	surfaceparm nodamage
}

textures/smalljump/abbey_grass:q3map
{
	surfaceparm nodamage
}

textures/smalljump/bespin_floor:q3map
{
	surfaceparm nodamage
}

textures/smalljump/credits1:q3map
{
	surfaceparm nodamage
	nopicmip
}

textures/smalljump/credits2:q3map
{
	surfaceparm nodamage
	nopicmip
}

textures/smalljump/fbm:q3map
{
	surfaceparm nodamage
}

textures/smalljump/taspin_platform:q3map
{
	surfaceparm nodamage
}

textures/smalljump/metal:q3map
{
	surfaceparm nodamage
}

textures/smalljump/secret1:q3map
{
	surfaceparm nodamage
	nopicmip
}

textures/smalljump/end1
{
	qer_editorimage textures/smalljump/end1.tga
	qer_trans 0.5
	surfaceparm nodamage
	polygonOffset
	sort 6
	nopicmip
	{
		map textures/smalljump/end1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
	}
}

textures/smalljump/end2
{
	qer_editorimage textures/smalljump/end2.tga
	qer_trans 0.5
	surfaceparm nodamage
	polygonOffset
	sort 6
	nopicmip
	{
		map textures/smalljump/end2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
	}
}

textures/smalljump/end3
{
	qer_editorimage textures/smalljump/end3.tga
	qer_trans 0.5
	surfaceparm nodamage
	polygonOffset
	sort 6
	nopicmip
	{
		map textures/smalljump/end3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
	}
}

textures/smalljump/urtjumpers
{
	qer_editorimage textures/smalljump/urtjumpers.tga
	qer_trans 0.5
	surfaceparm nodamage
	polygonOffset
	sort 6
	nopicmip
	{
		map textures/smalljump/urtjumpers.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		depthWrite
		rgbGen identity
	}
}

// liquids

textures/smalljump/water
{
 	qer_editorimage textures/smalljump/water.tga
        qer_trans 0.5
        q3map_globaltexture
 	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
 	surfaceparm noimpact
 	surfaceparm nolightmap
 	surfaceparm nomarks
 	surfaceparm nodlight
        surfaceparm water

        cull disable
 	nopicmip
       {
           map textures/smalljump/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scale 0.5 0.5
 	    tcMod turb 0.1 0.1 0.1 0.1
       }
       {
           map textures/smalljump/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scroll 0.05 -0.01
       }
       {
           map textures/smalljump/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scale 2 2
 	   tcMod turb 0 0.1 1 0.1
       }
 
}
textures/smalljump/lava
{
	qer_editorimage	textures/smalljump/lava.tga
        q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 2500
	q3map_lightRGB 0.81 0.28 0.15
        qer_trans 0.5

        surfaceparm trans
	surfaceparm nolightmap
        surfaceparm lava 
        cull disable			 //Light goes under the lava with this O_o
	fogparms ( 0.94 0.50 0.16 ) 512
	{
		map textures/smalljump/lava.tga
		blendFunc blend
		alphaGen const 0.5
		rgbGen identity
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/smalljump/lava_glow.tga
		blendFunc add
		rgbGen wave sin 0 1 1 0.2
		alphaGen wave sin 0 1 0.4 0.2
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/smalljump/lava.tga
		blendFunc blend
		alphaGen const 0.5
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 -0.01
		tcMod turb 0.1 0.1 0.5 0.1
	}
}
textures/smalljump/watercaulk
{
	qer_editorimage textures/smalljump/watercaulk.jpg
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
textures/smalljump/lavacaulk
{
	qer_editorimage textures/smalljump/lavacaulk.jpg
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm lava
}